## libdaemon 0.10-1

=== debian/changelog ===
libdaemon (0.10-1) unstable; urgency=low

  * new upstream, relicensed under LGPL 2.1

 -- Oliver Kurth <oku@debian.org>  Mon, 28 Nov 2005 10:23:53 -0800

libdaemon (0.8-1) unstable; urgency=low

  * new upstream (closes: #314615)

 -- Oliver Kurth <oku@debian.org>  Fri, 17 Jun 2005 10:14:17 -0700

libdaemon (0.7-1) unstable; urgency=low

  * new upstream
    - documentation error for daemon_signal_init corrected
      (closes: #280833)
  * build-depends on lynx|lynx-ssl (closes: #265980)

 -- Oliver Kurth <oku@debian.org>  Mon, 20 Dec 2004 17:10:04 -0800

libdaemon (0.6-1) unstable; urgency=low

  * new upstream

 -- Oliver Kurth <oku@debian.org>  Wed, 07 Apr 2004 23:03:53 +0200

libdaemon (0.5-1) unstable; urgency=low

  * new upstream

 -- Oliver Kurth <oku@debian.org>  Sat, 28 Feb 2004 20:59:58 -0800

libdaemon (0.4-1) unstable; urgency=low

  * new upstream

 -- Oliver Kurth <oku@debian.org>  Tue, 27 Jan 2004 21:41:44 +0100

libdaemon (0.3-1) unstable; urgency=low

  * new upstreaam

 -- Oliver Kurth <oku@debian.org>  Fri, 11 Jul 2003 22:03:30 +0200

libdaemon (0.2-1) unstable; urgency=low

  * Initial Release. Closes: #200793

 -- Oliver Kurth <oku@debian.org>  Fri, 11 Jul 2003 22:03:30 +0200
