=== debian/control ===
Source: libdaemon
Priority: optional
Maintainer: Oliver Kurth <oku@debian.org>
Build-Depends: debhelper (>> 4.0.0), doxygen, lynx | lynx-ssl
Standards-Version: 3.6.1

Package: libdaemon-dev
Section: devel
Architecture: any
Depends: libdaemon0 (= ${Source-Version})
Description: lightweight C library for daemons
 libdaemon is a leightweight C library which eases the writing of UNIX
 daemons. It consists of the following parts:
  * A wrapper around fork() which does the correct daemonization
    procedure of a process
  * A wrapper around syslog() for simpler and compatible log output to
    Syslog or STDERR
  * An API for writing PID files
  * An API for serializing UNIX signals into a pipe for usage with
    select() or poll()
 .                                                                               
 Routines like these are included in most of the daemon software
 available. It is not that simple to get it done right and code
 duplication cannot be a goal.
 .
 This package includes the header files and the static version of
 the library and documentation.

Package: libdaemon0
Section: libs
Architecture: any
Depends: ${shlibs:Depends} ${misc:Depends}
Description: lightweight C library for daemons
 libdaemon is a leightweight C library which eases the writing of UNIX
 daemons. It consists of the following parts:
  * A wrapper around fork() which does the correct daemonization
    procedure of a process
  * A wrapper around syslog() for simpler and compatible log output to
    Syslog or STDERR
  * An API for writing PID files
  * An API for serializing UNIX signals into a pipe for usage with
    select() or poll()
 .                                                                               
 Routines like these are included in most of the daemon software
 available. It is not that simple to get it done right and code
 duplication cannot be a goal.
 .
 This package includes the run time library.
