## libdaemon 0.10-2maemo0

=== debian/changelog ===
libdaemon (0.10-2maemo0) unstable; urgency=low

  * Porting to Maemo.

 -- Oliver Kurth <oku@debian.org>  Mon,  5 Feb 2007 20:28:50 -0500
