=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libdaemon
 Priority: optional
 Maintainer: Oliver Kurth <oku@debian.org>
-Build-Depends: debhelper (>> 4.0.0), doxygen, lynx | lynx-ssl
+Build-Depends: debhelper (>> 4.0.0)
 Standards-Version: 3.6.1
 
 Package: libdaemon-dev
