=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,7 @@
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr
+	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --disable-lynx
 
 build: build-stamp
 build-stamp:  config.status
@@ -47,7 +47,6 @@
 #	touch doc/doxygen.conf
 #	# Add here commands to compile the package.
 	$(MAKE)
-	$(MAKE) doxygen
 
 	touch build-stamp
 
@@ -91,7 +90,6 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs 
-	dh_installdocs -X doc/reference/man doc/reference doc/README doc/README.html doc/style.css
 	dh_installexamples examples/testd.c
 #	dh_install
 #	dh_installmenu
@@ -103,7 +101,6 @@
 #	dh_installinit
 #	dh_installcron
 #	dh_installinfo
-	dh_installman doc/reference/man/man3/*.3
 	dh_link
 	dh_strip
 	dh_compress
