## libdaemon 0.12-3maemo0

=== .pc/disable-lynx.patch/debian/changelog ===
libdaemon (0.12-2) unstable; urgency=low

  * Improved package description, per dev-ref (v3.3.9) Section 6.2.2 etc.
  * Use dpatch for the following debian/patches patches from upstream
    + 01_sighandler_errno to save and restore errno in signal hanlder
    + 02_pid_file_O_RDONLY to fallback to O_RDONLY for PID file if O_RDWR
      doesn't work.
  * Fix lintian W: manpage-has-errors-from-man that was resulting in not
    showing the help text of daemon_exec's last argument.

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Mon, 14 Apr 2008 00:56:12 +0530

libdaemon (0.12-1) unstable; urgency=low

  * Adopted by Y Giridhar Appaji Nag <giridhar@appaji.net> (Closes: #452187)
  * debian/control: Add Homepage: and Vcs-*: fields
  * Add a debian/watch file
  * Bump up Standards-Version to 3.7.3.  s/Source-Version/binary:Version/
  * Add autotools-dev to Build-Depends and remove lynx-ssl (provided by lynx).
  * Update debian/compat to 5, update Build-Depends with debhelper (>= 5)
  * debian/copyright: Update upstream author email address and URL
  * Use .docs and .examples file rather than specifying them in debian/rules
  * debian/control: Change Section of libdaemon-dev to libdevel
  * debian/rules: Modify the doxygen generated man pages to prevent lintian I:
    hyphen-used-as-minus-sign
  * Install upstream README as upstream changelog for libdaemon-dev
  * Provide a libdaemon0-dbg package with the debugging symbols in it.

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Fri, 21 Dec 2007 15:53:37 +0530

libdaemon (0.12-0.1) unstable; urgency=low

  * NMU
  * New upstream release
  * Patch applied to 0.11-0.2 merged upstream.

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 10 Jul 2007 20:46:12 +0200

libdaemon (0.11-0.2) unstable; urgency=low

  * NMU
  * Added patch to fix daemon_close_all implementation.

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 07 Jul 2007 11:45:30 +0200

libdaemon (0.11-0.1) unstable; urgency=low

  * NMU
  * New upstream release (Closes: #430163)
  * No longer uses PATH_MAX unconditionnally (Closes: #407867)
  * debian/libdaemon0.shlibs, added
  * debian/control, indicate that the source package should be in Section libs
  * debian/rules, pass CFLAGS that could have been changed as a result of
    DEB_BUILD_OPTIONS to configure (Closes: #328774)
  * debian/libdaemon-dev.install, don't install .la files

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 06 Jul 2007 13:54:23 +0200
