=== debian/changelog ===
libdaemon (0.12-3maemo0) unstable; urgency=low

  * Disable documentation generation with lynx, removes the build dependency.

 -- Philipp Zabel <philipp.zabel@gmail.com>  Tue, 12 Aug 2008 20:39:06 +0200
