=== .pc/disable-lynx.patch/debian/control ===
Source: libdaemon
Section: libs
Priority: optional
Maintainer: Y Giridhar Appaji Nag <giridhar@appaji.net>
Build-Depends: debhelper (>= 5), dpatch, autotools-dev, doxygen, lynx
Standards-Version: 3.7.3
Homepage: http://0pointer.de/lennart/projects/libdaemon/
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/ext-maint/libdaemon/unstable
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/ext-maint/libdaemon/unstable/?op=log

Package: libdaemon-dev
Section: libdevel
Architecture: any
Depends: libdaemon0 (= ${binary:Version})
Description: lightweight C library for daemons - development files
 libdaemon is a leightweight C library which eases the writing of UNIX daemons.
 It consists of the following parts:
 .
  * Wrapper around fork() for correct daemonization of a process
  * Wrapper around syslog() for simple log output to syslog or STDERR
  * An API for writing PID files
  * An API for serializing signals into a pipe for use with select() or poll()
  * An API for running subprocesses with STDOUT and STDERR redirected to syslog
 .
 Routines like these are included in most of the daemon software available. It
 is not simple to get these done right and code duplication is not acceptable.
 .
 This package includes the header files and the static version of the library
 and documentation.

Package: libdaemon0
Architecture: any
Depends: ${shlibs:Depends}
Description: lightweight C library for daemons - runtime library
 libdaemon is a leightweight C library which eases the writing of UNIX daemons.
 It consists of the following parts:
 .
  * Wrapper around fork() for correct daemonization of a process
  * Wrapper around syslog() for simple log output to syslog or STDERR
  * An API for writing PID files
  * An API for serializing signals into a pipe for use with select() or poll()
  * An API for running subprocesses with STDOUT and STDERR redirected to syslog
 .
 Routines like these are included in most of the daemon software available. It
 is not simple to get these done right and code duplication is not acceptable.
 .
 This package includes the libdaemon run time shared library.

Package: libdaemon0-dbg
Section: libdevel
Architecture: any
Priority: extra
Depends: libdaemon0 (= ${binary:Version})
Description: lightweight C library for daemons - debugging symbols
 libdaemon is a leightweight C library which eases the writing of UNIX daemons.
 It consists of the following parts:
 .
  * Wrapper around fork() for correct daemonization of a process
  * Wrapper around syslog() for simple log output to syslog or STDERR
  * An API for writing PID files
  * An API for serializing signals into a pipe for use with select() or poll()
  * An API for running subprocesses with STDOUT and STDERR redirected to syslog
 .
 Routines like these are included in most of the daemon software available. It
 is not simple to get these done right and code duplication is not acceptable.
 .
 This package contains the debugging symbols for libdaemon.
