## libdaemon 0.13-0maemo0

=== debian/changelog ===
libdaemon (0.13-0maemo0) unstable; urgency=low

  * New upstream and new build for fremantle

 -- Johannes Schmid <jschmid@openismus.com>  Tue, 24 Mar 2009 15:09:13 +0100
