=== debian/control ===
Source: libdaemon
Section: libs
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 11~)
Build-Depends-Indep: doxygen, lynx
Standards-Version: 4.1.4
Homepage: http://0pointer.de/lennart/projects/libdaemon/
Vcs-Git: https://salsa.debian.org/utopia-team/libdaemon.git
Vcs-Browser: https://salsa.debian.org/utopia-team/libdaemon

Package: libdaemon-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdaemon0 (= ${binary:Version}), ${misc:Depends}
Suggests: libdaemon-doc
Description: lightweight C library for daemons - development files
 libdaemon is a lightweight C library which eases the writing of UNIX daemons.
 It consists of the following parts:
 .
  * Wrapper around fork() for correct daemonization of a process
  * Wrapper around syslog() for simple log output to syslog or STDERR
  * An API for writing PID files
  * An API for serializing signals into a pipe for use with select() or poll()
  * An API for running subprocesses with STDOUT and STDERR redirected to syslog
 .
 Routines like these are included in most of the daemon software available. It
 is not simple to get these done right and code duplication is not acceptable.
 .
 This package includes the header files and the static version of the library.

Package: libdaemon-doc
Section: doc
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}
Breaks: libdaemon-dev (<< 0.14-7~)
Replaces: libdaemon-dev (<< 0.14-7~)
Description: lightweight C library for daemons - documentation
 libdaemon is a lightweight C library which eases the writing of UNIX daemons.
 It consists of the following parts:
 .
  * Wrapper around fork() for correct daemonization of a process
  * Wrapper around syslog() for simple log output to syslog or STDERR
  * An API for writing PID files
  * An API for serializing signals into a pipe for use with select() or poll()
  * An API for running subprocesses with STDOUT and STDERR redirected to syslog
 .
 Routines like these are included in most of the daemon software available. It
 is not simple to get these done right and code duplication is not acceptable.
 .
 This package contains the API documentation of the library.

Package: libdaemon0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: lightweight C library for daemons - runtime library
 libdaemon is a lightweight C library which eases the writing of UNIX daemons.
 It consists of the following parts:
 .
  * Wrapper around fork() for correct daemonization of a process
  * Wrapper around syslog() for simple log output to syslog or STDERR
  * An API for writing PID files
  * An API for serializing signals into a pipe for use with select() or poll()
  * An API for running subprocesses with STDOUT and STDERR redirected to syslog
 .
 Routines like these are included in most of the daemon software available. It
 is not simple to get these done right and code duplication is not acceptable.
 .
 This package includes the libdaemon run time shared library.
