=== debian/watch ===
version=3

http://0pointer.de/lennart/projects/libdaemon/libdaemon-(.*)\.tar\.gz
